POST
/cardResourceRule/exportCardResourceRule管理后台旅游卡资源-导出
旅游卡 / 资源规则
基本信息
- 接口状态前端在用 旧版误判
- 接口URLPOST
https://dscp-dev.hn12301.net/manage-api/cardResourceRule/exportCardResourceRule - 请求方式
POST - Content-Type
application/json - 暴露渠道管理后台 前缀
/manage-api - 名称来源源码注释
- 调用方已确认在用 · 管理后台(1 个前端)
- 需求上下文
- 维护人 / 最后改动jacobxu666 2026-07-10
- 读写数据表
card_resource_rule反查该表全部接口 → - 控制器
com.jxxx.dscp.api.controller.card.CardResourceRuleController#exportCardResourceRule - 源码位置
jxxx-dscp/dscp-service-business/src/main/java/com/jxxx/dscp/api/controller/card/CardResourceRuleController.java:193 - 判定依据
请求参数
Header 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无(渠道统一鉴权头见《认证方式》) | ||||
Query 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
路径参数及说明
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
Body 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| pageNo | … | 否 | Integer | 当前页面 |
| pageSize | … | 否 | Integer | 每页记录数 |
| orderBy | … | 否 | String | 排序语句 |
| id | … | 否 | Long | |
| cardModelId | … | 否 | Long | 旅游卡ID,关联旅游卡表id |
| shopId | … | 否 | Long | |
| goodsId | … | 否 | Long | 资源ID,关联商品表id |
| resourceName | … | 否 | String | 资源名称 |
| type | … | 否 | ResourceType | 资源类型,1景区,2酒店 1=景区 2=酒店 |
| status | … | 否 | Boolean | 资源状态 |
| resourceStatus | … | 否 | ResourceStatus | 资源上下架状态,1已上架,2编辑中,3已下架 1=已上架 2=编辑中 3=已下架 |
| preferential | … | 否 | Preferential | 优惠方式,1免费,2折扣,3优惠 1=免费 2=折扣 3=优惠 |
| isAppointment | … | 否 | Boolean | 是否需要预约 |
| createdTimeRange | … | 否 | Date[] | 预约时间范围 |
| idList | … | 否 | List<Long> | id列表 |
| keywords | … | 否 | String | 关键字 |
| totalTimes | … | 否 | Integer | 总共可使用次数 |
| monthTimes | … | 否 | Integer | 每月可使用次数 |
| dayTimes | … | 否 | Integer | 每天可使用次数 |
| isSecond | … | 否 | Boolean | 是否二次购买 |
| secondDiscount | … | 否 | Integer | 二次购买折扣 |
| buyTimes | … | 否 | Integer | 最多购买次数 |
| advanceDays | … | 否 | Integer | 提前预约天数 |
| advanceHour | … | 否 | Integer | 提前预约小时 |
| isAppointmentCount | … | 否 | Boolean | 预约是否算使用次数 |
| introduce | … | 否 | String | 资源简介 |
| notice | … | 否 | String | 预约须知 |
| prompt | … | 否 | String | 温馨提示 |
认证方式
响应参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 未解析到返回结构 | ||||
响应示例
失败响应示例
{
"data": null,
"可能返回": [
{
"errcode": "99999",
"errmsg": "服务内部错误"
}
]
}附录 · 实现细节
调用链 / 数据表 / 调用点证据 / 源码注释 / 逻辑摘要
涉及数据表:card_resource_rule 反查全部引用接口 →
- CardResourceRuleController#exportCardResourceRule
- BeanUtils.map → CardResourceRuleQuery
其它依赖:CardResourceRuleService.applyWrapper、CardModelCache.get、SkuCache.get、GoodsCache.get、ShopCache.get、DictDataCache.get
逻辑摘要:调用 applyWrapper(cardResourceRuleService.applyWrapper);查询详情(cardResourceRuleService.getMapper);调用 isNotEmpty(StrUtil.isNotEmpty);入参与返回值经 BeanUtils 做对象/分页映射
旧站环境备注:pro:(仓库 .env.pro 指向 uat;生产域名未确认,此处沿用 uat 主机示意)
调用点证据
dscp-html-manage/src/api/card/index.ts:188管理后台 · exportCardResourceRule
可能抛出的业务码:99999 服务内部错误 错误码字典 →